Gecode::Int::Extensional::TupleCompare Class Reference

Tuple comparison. More...

## Public Member Functions

| TupleCompare (int a)
| Initialize with arity a.
bool | operator() (const Tuple &a, const Tuple &b)
| Comparison of tuples a and b.

## Detailed Description

Tuple comparison.

Definition at line 47 of file tuple-set.cpp.

## Constructor & Destructor Documentation

## TupleCompare()

Gecode::Int::Extensional::TupleCompare::TupleCompare | ( | int | a | ) |

inline

Initialize with arity a.

Definition at line 72 of file tuple-set.cpp.

## Member Function Documentation

## operator()()

bool Gecode::Int::Extensional::TupleCompare::operator() | ( | const Tuple & | a,
|  | const Tuple & | b )

inline

Comparison of tuples a and b.

Definition at line 75 of file tuple-set.cpp.

The documentation for this class was generated from the following file:

- gecode/int/extensional/tuple-set.cpp